<template>
    <view class="container">
      <web-view :src="externalUrl"></web-view>
    </view>
  </template>
   
  <script>
  export default {
    onLoad(option){
      if(option.type == 1){
        this.externalUrl = 'https://nsh51.tuanfengkeji.cn/#/'
      }else if(option.type == 2){
        this.externalUrl = 'https://www.tuanfengkeji.cn/TFShop_Uni_H5/#/another-tf/another-user/chat/chat-detail?chat=serviceAssistant'
      }
    },
    data() {
      return {
        externalUrl: ''
      };
    },
    // onLoad() {
    //   this.externalUrl = this.$route.query.url;
    // }
  };
  </script>
   
  <style scoped>
  .container {
    width: 100%;
    height: 100vh;
  }
  </style>